%define anolis_release 3

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(HTML::Tagset\\)$

Name:           perl-HTML-Parser
Version:        3.81
Release:        %{anolis_release}%{?dist}
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Summary:        Perl module for parsing HTML
URL:            https://metacpan.org/release/HTML-Parser
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTML-Parser-%{version}.tar.gz

BuildRequires:  make coreutils findutils gcc glibc-common
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(URI) perl(Carp) perl(XSLoader) perl(IO::File)
BuildRequires:  perl(HTTP::Headers) perl(HTML::Tagset) >= 3 perl(Exporter)
BuildRequires:  perl(Config) perl(strict) perl(warnings) perl(ExtUtils::MakeMaker) >= 6.76
# Tests
BuildRequires:  perl(SelectSaver) perl(Test::More) perl(threads) perl(File::Spec) perl(FileHandle)

Requires:       perl(IO::File) perl(HTTP::Headers) perl(HTML::Tagset) >= 3 perl(URI)
Obsoletes:      %{name}-tests < %{EVR}

%{?perl_default_filter}

%description
Objects of the HTML::Parser class will recognize markup and separate it from plain 
text (alias data content) in HTML documents. As different kinds of markup and text 
are recognized, the corresponding event handlers are invoked.

HTML::Parser is not a generic SGML parser. We have tried to make it able to deal with 
the HTML that is actually "out there", and it normally parses as closely as possible 
to the way the popular web browsers do it instead of strictly following one of the 
many HTML specifications from W3C. Where there is disagreement, there is often an option 
that you can enable to get the official behaviour.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n HTML-Parser-%{version} -p1
chmod -c a-x eg/*

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%{perl_vendorarch}/auto/HTML/
%{perl_vendorarch}/HTML/
%{_mandir}/man3/*.3pm*

%files doc
%doc eg/
%doc README Changes TODO

%changelog
* Fri Apr 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.81-3
- Optimize the spec file

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.81-2
- remove versioned MODULE_COMPAT_ requires

* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.81-1
- init from upstream
